Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1598516 - FFU: mention that 'openstack overcloud ffwd-upgrade run' updates packages on all overcloud nodes in the restore procedure context
Summary: FFU: mention that 'openstack overcloud ffwd-upgrade run' updates packages on ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-05 17:15 UTC by Marius Cornea
Modified: 2018-07-16 02:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-16 02:18:16 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Marius Cornea 2018-07-05 17:15:42 UTC
Description of problem:

FFU: mention that 'openstack overcloud ffwd-upgrade run' updates packages on all overcloud nodes in the restore procedure context. In case the operator wants to restore overcloud to pre-upgrade state after 'openstack overcloud ffwd-upgrade run' we should mention in the restore procedure that the yum undo/rollback needs to be done on all overcloud nodes not only on controllers.

The state after 'openstack overcloud ffwd-upgrade run':

[root@controller-0 heat-admin]# yum history list all
Loaded plugins: product-id, search-disabled-repos, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
ID     | Login user               | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
    29 | Cloud User <heat-admin>  | 2018-07-04 21:46 | I, O, U        |   36   
    28 | Cloud User <heat-admin>  | 2018-07-04 21:44 | I, U           |   23   
    27 | Cloud User <heat-admin>  | 2018-07-04 21:38 | I, O, U        |   14 EE
    26 | Cloud User <heat-admin>  | 2018-07-04 21:38 | I, U           |    2   
    25 | Cloud User <heat-admin>  | 2018-07-04 21:38 | I, U           |   22 EE
    24 | Cloud User <heat-admin>  | 2018-07-04 21:38 | I, U           |    4 EE
    23 | Cloud User <heat-admin>  | 2018-07-04 21:38 | I, U           |   12 EE
    22 | Cloud User <heat-admin>  | 2018-07-04 21:38 | I, O, U        |   12 EE
    21 | Cloud User <heat-admin>  | 2018-07-04 21:37 | Update         |    4 EE
    20 | Cloud User <heat-admin>  | 2018-07-04 21:37 | I, O, U        |   30 EE
    19 | Cloud User <heat-admin>  | 2018-07-04 21:37 | Update         |    6 EE
    18 | Cloud User <heat-admin>  | 2018-07-04 21:30 | Update         |   13 EE
    17 | Cloud User <heat-admin>  | 2018-07-04 21:30 | Update         |    1   
    16 | Cloud User <heat-admin>  | 2018-07-04 21:29 | I, U           |   17 EE
    15 | Cloud User <heat-admin>  | 2018-07-04 21:29 | Update         |    3 EE
    14 | Cloud User <heat-admin>  | 2018-07-04 21:29 | Update         |   10 EE
    13 | Cloud User <heat-admin>  | 2018-07-04 21:29 | O, U           |   13 EE
    12 | Cloud User <heat-admin>  | 2018-07-04 21:29 | Update         |    2 EE
    11 | Cloud User <heat-admin>  | 2018-07-04 21:29 | Update         |   16 EE
    10 | Cloud User <heat-admin>  | 2018-07-04 21:28 | I, U           |   14 EE
     9 | Cloud User <heat-admin>  | 2018-07-04 21:25 | Install        |    1   
     8 | Cloud User <heat-admin>  | 2018-07-04 21:24 | Install        |    1   
     7 | Cloud User <heat-admin>  | 2018-07-04 21:22 | Erase          |    1   
     6 | root <root>              | 2018-06-28 20:56 | Install        |  112   
     5 | root <root>              | 2018-06-28 20:43 | Install        |  671 EE
     4 | root <root>              | 2018-06-28 20:40 | Update         |    1   
     3 | root <root>              | 2018-06-28 20:40 | Install        |    2   
     2 | root <root>              | 2018-06-28 20:39 | Install        |  194 EE
     1 | System <unset>           | 2018-06-28 20:08 | Install        |  365   
history list


[root@compute-0 ~]# yum history list all
Loaded plugins: product-id, search-disabled-repos, subscription-manager
This system is not registered with an entitlement server. You can use subscription-manager to register.
ID     | Login user               | Date and time    | Action(s)      | Altered
-------------------------------------------------------------------------------
    10 | Cloud User <heat-admin>  | 2018-07-04 21:46 | I, O, U        |   51   
     9 | Cloud User <heat-admin>  | 2018-07-04 21:44 | I, U           |   24   
     8 | Cloud User <heat-admin>  | 2018-07-04 21:26 | Install        |    1   
     7 | Cloud User <heat-admin>  | 2018-07-04 21:25 | Install        |    1   
     6 | root <root>              | 2018-06-28 20:56 | Install        |  112   
     5 | root <root>              | 2018-06-28 20:43 | Install        |  671 EE
     4 | root <root>              | 2018-06-28 20:40 | Update         |    1   
     3 | root <root>              | 2018-06-28 20:40 | Install        |    2   
     2 | root <root>              | 2018-06-28 20:39 | Install        |  194 EE
     1 | System <unset>           | 2018-06-28 20:08 | Install        |  365   
history list

Comment 1 Dan Macpherson 2018-07-10 04:42:09 UTC
No problem to add this info. Just a follow-up question: Apart from the package updates, is there any other configuration/operations that need to be reversed on Compute nodes? For example, I'm thinking of things similar to the other docs BZ you filed [1].

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1598512

Comment 2 Marius Cornea 2018-07-10 16:59:36 UTC
(In reply to Dan Macpherson from comment #1)
> No problem to add this info. Just a follow-up question: Apart from the
> package updates, is there any other configuration/operations that need to be
> reversed on Compute nodes? For example, I'm thinking of things similar to
> the other docs BZ you filed [1].
> 

Not that I am aware of, as far as I know the change described in 1598512 is the only such operation(more of a workaround) that we're doing in the prepare stage and it's affecting overcloud nodes.

Comment 4 Marius Cornea 2018-07-13 15:41:29 UTC
Looks great, thanks!


Note You need to log in before you can comment on or make changes to this bug.